// ======================================================================
// etl_frostbite_v6 shader
// 2020 Cedric 'keMoN' E.
// ======================================================================

/////////////////
// COMMAND MAP //
/////////////////

levelshots/etl_frostbite_v7_cc_automap
{
	nopicmip
	nocompress
	nomipmaps	 
  	{
		clampmap levelshots/etl_frostbite_v7_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/etl_frostbite_v7_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/etl_frostbite_v7_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

// END COMMAND MAP //

textures/sfx/xflame2_1750_nolick
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_surfacelight 3000
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/etl_frostbite/_snow
{
	qer_editorimage textures/snow_sd/s_grass_ml03b_big.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/snow_sd/s_grass_ml03b_big.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_frostbite/_snow_mud
{
	qer_editorimage textures/snow_sd/snow_muddy.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/snow_sd/snow_muddy.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_frostbite/_cliff
{
	qer_editorimage textures/stone/mxsnow0.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/stone/mxsnow0.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/trees_sd/leaves_snow
{
	nopicmip
	qer_alphafunc gequal 0.5
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

textures/etl_frostbite/storage_light
{
	qer_editorimage textures/lights/light_tp_m05.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_frostbite/storage_light_red
{
	qer_editorimage textures/lights/light_tp_m07.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m07.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_frostbite/storage_light_green
{
	qer_editorimage textures/lights/light_tp_m06.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/skies/etl_frostbite
{
	qer_editorimage textures/skies/sky_8.tga
	q3map_sunExt 143 174 174 25 35 45 1 16
	nocompress
	skyparms - 200 -
	sunshader textures/skies_sd/full_moon2
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	{	
		fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}
	{	
		fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}
	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}

textures/xlab_wall/xmetal_c03_noclip
{
	qer_editorimage textures/xlab_wall/xmetal_c03.tga
	surfaceparm nonsolid
	implicitMap textures/xlab_wall/xmetal_c03
}

textures/decals/maps
{
	qer_editorimage textures/decals/maps.tga
	surfaceparm alphashadow
	surfaceparm nolightmap
	nopicmip
	nomipmaps
	polygonOffset
	{
		map textures/decals/maps.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/decals/maps_rocket
{
	qer_editorimage textures/decals/maps.tga
	surfaceparm alphashadow
	surfaceparm nolightmap
	nopicmip
	nomipmaps
	polygonOffset
	{
		map textures/decals/maps.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/decals/luff
{
	polygonOffset
	entityMergable
	{
		map textures/decals/luff.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/decals/one
{
	polygonOffset
	entityMergable
	{
		map textures/decals/one.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/decals/two
{
	polygonOffset
	entityMergable
	{
		map textures/decals/two.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/snow/alpha_ice2
{
	qer_editorimage textures/snow/alpha_ice2s.tga		
	surfaceparm alphashadow
	cull none
	{
		map textures/snow/alpha_ice2s.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}

textures/decals/drain
{
	polygonOffset
	entityMergable


	{
		map textures/decals/drain.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

models/mapobjects/trees_sd/leaves_snow_wavy
{
	nopicmip
	qer_alphafunc gequal 0.5
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}